Subject: Re: [RFC][PATCH] initial port of fixmap over from x86 for ppc32

From: Scott Wood <[email-masked]>
Date: Tue, 8 Apr 2008 11:24:13 -0500

On Tue, Apr 08, 2008 at 09:28:12AM -0500, Kumar Gala wrote:
> On Apr 7, 2008, at 6:51 PM, Benjamin Herrenschmidt wrote:
>> As far as the above is concerned, I'm not too fan of fixed virtual
>> addresses. I'd rather dynamically assign it. But we can do it.
>
> I'm in agreement with Ben here.  On Freescale parts that could mean  
> using up to 16M of virtual address space while in reality we may only  
> need a handful of 4k pages to cover SoC registers that we are truly  
> accessing at runtime.

So make it configurable, and turn it off if you're low on address space. 

Most of the time, I'd think saving TLB0 entries would be more beneficial,
especially with heavy I/O workloads where registers get banged on a lot.

It's the early debugging that I'm really concerned with, though.  It gets
old hacking an early mapping in each time.

-Scott